<div class="languages-list">
    <a class="dropdown-toggle" id="dropdownMenu1" data-toggle="dropdown">
        <img src="/img/{{ locale }}-flag.png" alt="{{ locale }} flag"/>
        <span class="caret"></span>
    </a>
    <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu1">
        {% for key, language in languages %}
            <li role="presentation">
                {% if route is not empty %}
                    <a role="menuitem" tabindex="-1" href="{{ path(route, routeParams|default([])|merge({'_locale': key})) }}">
                        {{ language }}
                    </a>
                {% else %}
                    <a role="menuitem" tabindex="-1" href="{{ path('home', {'_locale': key}) }}">
                        {{ language }}
                    </a>
                {% endif %}
            </li>
        {% endfor %}
    </ul>
</div>